<%@ Control Language="c#" CodeBehind="PortalSettings.ascx.cs" Inherits="DNNMasters.SEO.URLProvider.UI.Settings.UserControls.PortalSettings"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.SEO.URLProvider.ComponentArt.Web.UI.N35"
    Assembly="DNNMasters.SEO.URLProvider.ComponentArt.Web.UI.N35" %>

<script type="text/javascript">

    function _gridDomainReplace_onCallbackError(sender, eventArgs)
    {
      if (confirm('Invalid data has been entered. View details?')) alert(eventArgs.get_errorMessage());
      <%=_gridDomainReplace.ClientID%>.page(0);
    }
    
    function _gridDomainReplace_onItemBeforeInsert(sender, eventArgs)
    {
        if (!confirm("Insert record?"))
          eventArgs.set_cancel(true);
    }

    function _gridDomainReplace_onItemBeforeUpdate(sender, eventArgs)
    {
        var sourceStat = DataItem.GetMember('HttpStatus').Value;
        var newStat = document.getElementById("_ddHttpStatus").value;
        
        if(sourceStat == 200 && newStat == 301)
        {
            alert('To set HttpStatus of this record to 301 change HttpStatus of other record to 200!');
            eventArgs.set_cancel(true);
        }
        else
        {
            if (!confirm("Update record?"))
                eventArgs.set_cancel(true);
        }
    }

    function _gridDomainReplace_onItemBeforeDelete(sender, eventArgs)
    {
        if (!confirm("Delete record?"))
          eventArgs.set_cancel(true);
    }

    function editDomainReplaceGrid(rowId)
    {
        <%=_gridDomainReplace.ClientID%>.edit(_gridDomainReplace.getItemFromClientId(rowId));
    }

    function editDomainReplaceRow()
    {
        <%=_gridDomainReplace.ClientID%>.editComplete();
    }
    
    function insertDomainReplaceRow()
    {
        <%=_gridDomainReplace.ClientID%>.editComplete();
    }

    function deleteDomainReplaceRow(rowId, count, stat)
    {
        if(count <= 1)
            alert('Cannot delete last record!');
        else if(stat == 200)
            alert('Cannot delete record with 200 http status!');
        else
            <%=_gridDomainReplace.ClientID%>.deleteItem(_gridDomainReplace.getItemFromClientId(rowId));
    }
    
    function getHttpStatValue()
    {
        return document.getElementById("_ddHttpStatus").value;
    }

    function setHttpStatValue(DataItem)
    {
        var selectedStatus = DataItem.GetMember('HttpStatus').Value;
        document.getElementById("_ddHttpStatus").value = selectedStatus;
    }

</script>

<asp:UpdatePanel ID="upPortalSettings" runat="server" ChildrenAsTriggers="False"
    RenderMode="Inline" UpdateMode="Conditional">
    <contenttemplate>
        <table id="portal_settings_main" class="settings_table_main">
            <tr>
                <td>
                    <table id="Table1" style="width: 336px;" cellspacing="1" cellpadding="1" width="336"
                        border="0">
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblPortals" resource="lblPortals" controlname="" suffix=""
                                    runat="server">
                                </dnn:label>
                            </td>
                            <td>
                                <asp:DropDownList ID="_ddlPortals" runat="server" CssClass="NormalTextBox" Width="254px" AutoPostBack="true" >
                                </asp:DropDownList>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table id="Table2" style="width: 336px;" cellspacing="1" cellpadding="1" width="336"
                        border="0">
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblReplaceSpace" resource="lblReplaceSpace" controlname="" suffix=""
                                    runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:TextBox ID="_txtReplaceSpace" CssClass="Normal" runat="server" MaxLength="1"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblPageExtension" resource="lblPageExtension" controlname="" suffix=""
                                    runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:TextBox ID="_txtPageExtension" CssClass="Normal" runat="server" MaxLength="10"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblEnableFriendlyURLs" resource="lblEnableFriendlyURLs" controlname=""
                                    suffix="" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:CheckBox ID="_chbEnableFriendlyURLs" runat="server" CssClass="Normal"></asp:CheckBox></td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblEnable404" resource="lblEnable404" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:CheckBox ID="_chbEnable404" runat="server" CssClass="Normal"></asp:CheckBox></td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">

                                <dnn:label id="lblEnableLinkClick" resource="lblEnableLinkClick" controlname="" suffix=":" runat="server" />
                            </td>
                            <td>
                                <asp:checkbox id="_chbRewriteLinkClick" runat="server" CssClass="Normal" />
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblRewriteLogin" resource="lblRewriteLogin" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:CheckBox ID="_chbRewriteLogin" runat="server" CssClass="Normal"></asp:CheckBox></td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblRewriteRegister" resource="lblRewriteRegister" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:CheckBox ID="_chbRewriteRegister" runat="server" CssClass="Normal"></asp:CheckBox></td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblDefaultURLFormat" resource="lblDefaultURLFormat" controlname=""
                                    suffix=":" runat="server">
                                    </dnn:label>
                            </td>
                            <td>
                                <asp:RadioButtonList ID="_rblDefaultURLFormat" runat="server" CssClass="Normal">
                                    <asp:ListItem Value="DNNFriendly" resourcekey="_rblDefaultURLFormat_DNNFriendly"></asp:ListItem>
                                    <asp:ListItem Value="SEOFriendly" resourcekey="_rblDefaultURLFormat_SEOFriendly" Selected="True"></asp:ListItem>

                                </asp:RadioButtonList>   
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblRightToLeftLanguage" resource="lblRightToLeftLanguage" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:CheckBox ID="_chkRightToLeftLanguage" runat="server" CssClass="Normal"></asp:CheckBox></td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <hr />
                                <asp:Label ID="Label1" runat="server" Text="Automatically generate rules:"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblDefaultRuleHomePage" resource="lblDefaultRuleHomePage" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:CheckBox ID="_chkDefaultRuleHomePage" runat="server" CssClass="Normal"></asp:CheckBox></td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblEmptyRuleHomePage" resource="lblEmptyRuleHomePage" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:CheckBox ID="_chkEmptyRuleHomePage" runat="server" CssClass="Normal"></asp:CheckBox><br />
                                    <asp:DropDownList ID="_ddlEmptyRuleHomePageStatus" runat="server"></asp:DropDownList>
                                </td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblEnableLanguageParameterInUrls" resource="lblEnableLanguageParameterInUrls" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:CheckBox ID="_chkEnableLanguageParameterInUrls" runat="server" CssClass="Normal"></asp:CheckBox></td>
                        </tr>
                        <tr>
                            <td style="width: 179px" class="Normal">
                                <dnn:label id="lblFormatOfLanguageStringInURL" resource="lblFormatOfLanguageStringInURL" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                                <td>
                                    <asp:TextBox ID="_txtFormatOfLanguageStringInURL" runat="server"></asp:TextBox>
                
                                </td>
                        </tr>
                    </table>
                    
                    <dnn:sectionhead id="_dshDomainRedirect" runat="server" resourcekey="_dshDomainRedirect"
                        cssclass="NormalBold" section="tblDomainRedirect" IsExpanded="True" IncludeRule="true">
                    </dnn:sectionhead>
                    
                    <table id="tblDomainRedirect" class="Head" runat="server">
                        <tr>
                            <td colspan="2">
                                <ComponentArt:Grid id="_gridDomainReplace"
                                    EnableViewState="true"
                                    EditOnClickSelectedItem="true"
                                    AllowColumnResizing="true"
                                    AllowEditing="true"
                                    ShowHeader="False"
                                    CssClass="Grid"
                                    KeyboardEnabled="false"
                                    FooterCssClass="GridFooter"
                                    RunningMode="Server"
                                    PagerStyle="Numbered"
                                    PagerTextCssClass="PagerText"
                                    PageSize="10"
                                    ImagesBaseUrl="images/grid/"
                                    width="350" Height="150"
                                    LoadingPanelClientTemplateId="LoadingFeedbackTemplate"
                                    LoadingPanelPosition="MiddleCenter"
                                    AutoPostBackOnInsert="true" 
                                    AutoPostBackOnUpdate="true"
                                    AutoPostBackOnDelete="true"
                                    AutoPostBackOnEdit="true"
                                    AutoPostBack="true"
                                    runat="server">
                                    <ClientEvents>
                                      <CallbackError EventHandler="_gridDomainReplace_onCallbackError" />
                                      <ItemBeforeInsert EventHandler="_gridDomainReplace_onItemBeforeInsert" />
                                      <ItemBeforeUpdate EventHandler="_gridDomainReplace_onItemBeforeUpdate" />
                                      <ItemBeforeDelete EventHandler="_gridDomainReplace_onItemBeforeDelete" />
                                    </ClientEvents>
                                    <Levels>
                                      <ComponentArt:GridLevel
                                        DataKeyField="DomainId"
                                        ShowTableHeading="false"
                                        ShowSelectorCells="false"
                                        SelectorCellCssClass="SelectorCell"
                                        SelectorCellWidth="18"
                                        SelectorImageUrl="selector.gif"
                                        SelectorImageWidth="17"
                                        SelectorImageHeight="15"
                                        HeadingSelectorCellCssClass="SelectorCell"
                                        HeadingCellCssClass="HeadingCell"
                                        HeadingRowCssClass="HeadingRow"
                                        HeadingTextCssClass="HeadingCellText"
                                        DataCellCssClass="DataCell"
                                        RowCssClass="Row"
                                        SelectedRowCssClass="SelectedRow"
                                        SortAscendingImageUrl="asc.gif"
                                        SortDescendingImageUrl="desc.gif"
                                        SortImageWidth="10"
                                        SortImageHeight="10"
                                        EditCellCssClass="EditDataCell"
                                        EditFieldCssClass="EditDataField"
                                        EditCommandClientTemplateId="EditCommandTemplate"
                                        InsertCommandClientTemplateId="InsertCommandTemplate"
                                        >
                                        <ConditionalFormats>
                                          <ComponentArt:GridConditionalFormat ClientFilter="DataItem.GetMember('HttpStatus').Value=='200'" RowCssClass="_gridDomainReplaceGreenRow" SelectedRowCssClass="_gridDomainReplaceGreenSelectedRow" />
                                        </ConditionalFormats>
                                        <Columns>
                                            <ComponentArt:GridColumn DataField="DomainId" Visible="false" />
                                            <ComponentArt:GridColumn DataField="DNNPortalAliasID" Visible="false" />
                                            <ComponentArt:GridColumn DataField="DomainAlias" HeadingText="Domain Alias" Width="200" />
                                            <ComponentArt:GridColumn DataField="HttpStatus" HeadingText="Http Status" Width="75" EditCellServerTemplateId="HttpStatusEditTemplate" EditControlType="Custom" CustomEditSetExpression="setHttpStatValue(DataItem)" CustomEditGetExpression="getHttpStatValue()" />
                                            <ComponentArt:GridColumn AllowSorting="false" HeadingText="Edit Command" DataCellClientTemplateId="EditTemplate" EditControlType="EditCommand" Width="100" Align="Center" />
                                        </Columns>
                                      </ComponentArt:GridLevel>
                                    </Levels>
                                    <ClientTemplates>
                                      
                                      <ComponentArt:ClientTemplate Id="EditTemplate">
                                       <a href="#" onclick="editDomainReplaceGrid('## DataItem.ClientId ##');">Edit</a> | <a href="#" onclick="deleteDomainReplaceRow('## DataItem.ClientId ##', '## _gridDomainReplace.RecordCount ##', '## DataItem.GetMember('HttpStatus').Value ##')">Delete</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="EditCommandTemplate">
                                        
                                        <a href="#" onclick="editDomainReplaceRow();">Update</a> | <a href="#" onclick="_gridDomainReplace.EditCancel();">Cancel</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="InsertCommandTemplate">
                                        <a href="#" onclick="insertDomainReplaceRow();">Insert</a> | <a href="#" onclick="_gridDomainReplace.EditCancel();">Cancel</a>
                                      </ComponentArt:ClientTemplate>
                                      <ComponentArt:ClientTemplate Id="LoadingFeedbackTemplate">
                                      <table cellspacing="0" cellpadding="0" border="0">
                                      <tr>
                                        <td style="font-size:10px;">Loading...&nbsp;</td>
                                        <td><img src="images/spinner.gif" width="16" height="16" border="0"></td>
                                      </tr>
                                      </table>
                                      </ComponentArt:ClientTemplate>
                                      
                                    </ClientTemplates>
                                    <ServerTemplates>
                                        <ComponentArt:GridServerTemplate Id="HttpStatusEditTemplate">
                                            <Template>
                                                <select name="_ddHttpStatus" id="_ddHttpStatus" class="normal">
			                                        <option value="200" >200</option>
			                                        <option value="301" >301</option>
		                                        </select>
                                            </Template>
                                        </ComponentArt:GridServerTemplate>
                                    </ServerTemplates>
                                  </ComponentArt:Grid>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <input type="button" onclick="<%=_gridDomainReplace.ClientID%>.Table.AddRow()" value="Add domain to replace" class="normal" />
                            </td>
                        </tr>
                    </table>
                    
                    <dnn:sectionhead id="_dshKeepAlive" runat="server" resourcekey="_dshKeepAlive"
                        cssclass="NormalBold" section="tblKeepAlive" IsExpanded="True" IncludeRule="true">
                    </dnn:sectionhead>
                    
                    <table id="tblKeepAlive" runat="server">
                        <tr>
                            <td class="Normal"><dnn:label id="lblKeepAliveEnabled" resource="lblKeepAliveEnabled" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                            <td><asp:CheckBox ID="_chkKeepAliveEnabled" runat="server" CssClass="Normal"></asp:CheckBox></td>
                        </tr>
                        <tr>
                            <td class="Normal"><dnn:label id="lblKeepAliveUrl" resource="lblKeepAliveUrl" controlname=""
                                    suffix=":" runat="server">
                                </dnn:label></td>
                            <td><asp:TextBox ID="_txtKeepAliveUrl" CssClass="Normal" runat="server" Width="250px" ></asp:TextBox></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <dnn:sectionhead id="_dshGenerate301Rules" runat="server" resourcekey="_dshGenerate301Rules"
                        cssclass="NormalBold" section="tblGenerate301Rules" IsExpanded="True" IncludeRule="true">
                    </dnn:sectionhead>
                    
                    <table id="tblGenerate301Rules" runat="server">
                        <tr>
                            <td style="width: 179px" class="Normal" valign="middle">
                                <dnn:label id="lblGenerate301RulesPageExtension" resource="lblGenerate301RulesPageExtension" controlname="" suffix=""
                                    runat="server">
                                </dnn:label>
                            </td>
                            <td valign="middle">
                                <asp:TextBox ID="_txtGenerate301PageExtension" CssClass="Normal" runat="server" MaxLength="10"></asp:TextBox>
                                <asp:Button ID="_cmdGenerate301Rules" runat="server" CssClass="NormalTextBox"
                                    Text="Button" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <dnn:sectionhead id="_dshGenerate301RulesForAnotherSpaceReplaceChar" runat="server" resourcekey="_dshGenerate301RulesForAnotherSpaceReplaceChar"
                        cssclass="NormalBold" section="tblGenerate301Rules" IsExpanded="True" IncludeRule="true">
                    </dnn:sectionhead>
                    
                    <table id="Table3" runat="server">
                        <tr>
                            <td style="width: 179px" class="Normal" valign="middle">
                                <dnn:label id="lblGenerate301RulesForAnotherSpaceReplaceChar" resource="lblGenerate301RulesForAnotherSpaceReplaceChar" controlname="" suffix=""
                                    runat="server">
                                </dnn:label>
                            </td>
                            <td valign="middle">
                                <asp:TextBox ID="_txtGenerate301RulesForAnotherSpaceReplaceChar" CssClass="Normal" runat="server" MaxLength="1"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="_valGenerate301RulesForAnotherSpaceReplaceChar" ErrorMessage="Required"
                                    CssClass="Normal" runat="server" ControlToValidate="_txtGenerate301RulesForAnotherSpaceReplaceChar" Display="Dynamic"
                                    ValidationGroup="grp301Char" />

                                <asp:Button ID="_cmdGenerate301RulesForAnotherSpaceReplaceChar" runat="server" CssClass="NormalTextBox"
                                    Text="Button" ValidationGroup="grp301Char" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
            <td id="footer" class="settings_footer">
                <asp:LinkButton ID="_cmdSave" runat="server" resource="cmdSave" CssClass="CommandButton">LinkButton</asp:LinkButton>
                <br />
                <asp:Label ID="_lblSettingsSaved" runat="server" Text="Label" CssClass="NormalRed"></asp:Label>
            </td>            
            </tr>           
        </table>
    </contenttemplate>
    <triggers>
            <asp:AsyncPostBackTrigger ControlID="_gridDomainReplace" EventName="DataBinding" />
            <asp:AsyncPostBackTrigger ControlID="_cmdSave" EventName="Click" />
            <asp:AsyncPostBackTrigger ControlID="_ddlPortals" EventName="SelectedIndexChanged" />
        </triggers>
</asp:UpdatePanel>