<%@ control autoeventwireup="false" codebehind="CorePerformance.ascx.cs" inherits="DNNMasters.SEO.URLProvider.UI.Settings.UserControls.CorePerformance"
    language="c#" targetschema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>

<table style="width:500px">
    <tr>
        <td>
            <dnn:sectionhead id="_dshLoaderControlProvider" runat="server" resourcekey="_dshLoaderControlProvider"
                cssclass="NormalBold" section="tblLoaderControlProvider" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td>
            <table id="tblLoaderControlProvider" runat="server">
                <tr>
                    <td colspan="2">
                        <div class="dnnFormMessage dnnFormInfo">
                            <asp:Label id="lblFileRegistrationInfo" runat="server" resourcekey="lblFileRegistrationInfo" />
                        </div>
                    </td>
                </tr>

                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblDnnBodyProvider" resource="lblDnnBodyProvider" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkDnnBodyProvider" runat="server" />
                        
                    </td>
                </tr>
                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblDnnFormBottomProvider" resource="lblDnnFormBottomProvider" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkDnnFormBottomProvider" runat="server" />
                        
                    </td>
                </tr>
                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblPageHeaderProvider" resource="lblPageHeaderProvider" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkPageHeaderProvider" runat="server" />
                        
                    </td>
                </tr>
                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblLazyLoadProvider" resource="lblLazyLoadProvider" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkLazyLoadProvider" runat="server" />
                        
                    </td>
                </tr>
                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblLoaderControlProvider" resource="lblLoaderControlProvider" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkLoaderControlProvider" runat="server" />
                        
                    </td>
                </tr>
                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblDnnPageHeaderProvider" resource="lblDnnPageHeaderProvider" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkDnnPageHeaderProvider" runat="server" />
                        
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshcompositeFiles" runat="server" resourcekey="_dshcompositeFiles"
                cssclass="NormalBold" section="tblcompositeFiles" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td>
            <table id="tblcompositeFiles" runat="server">
                <tr>
                    <td colspan="2">
                        <div class="dnnFormMessage dnnFormInfo">
                            <asp:Label id="lblCompositeFilesInfo" runat="server" resourcekey="lblCompositeFilesInfo" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblEnableCssMinify" resource="lblEnableCssMinify" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkEnableCssMinify" runat="server" />
                        
                    </td>
                </tr>
                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblEnableJsMinify" resource="lblEnableJsMinify" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkEnableJsMinify" runat="server" />
                        
                    </td>
                </tr>
                <tr>
                    <td  class="Normal">
                        <dnn:label id="lblPersistFiles" resource="lblPersistFiles" controlname=""
                            suffix=":" runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkPersistFiles" runat="server" />
                        
                    </td>
                </tr>
                
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <div class="dnnFormMessage dnnFormInfo">
                <asp:Label id="lblWebConfigBackupInfo" runat="server" resourcekey="lblWebConfigBackupInfo" />
            </div>
        </td>
    </tr>
</table>
<asp:LinkButton ID="_lnkUpdate" runat="server" CssClass="CommandButton">Update</asp:LinkButton>
<br />
<asp:Label ID="_lblSettingsSaved" runat="server" Text="Label" CssClass="NormalRed"></asp:Label>
